Coolify logoCoolify
POST
/github-apps

Create a new GitHub app.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Request Body

application/json

GitHub app creation payload.

TypeScript Definitions

Use the request body type in TypeScript.

name*string

Name of the GitHub app.

organization?string

Organization to associate the app with.

api_url*string

API URL for the GitHub app (e.g., https://api.github.com).

html_url*string

HTML URL for the GitHub app (e.g., https://github.com).

custom_user?string

Custom user for SSH access (default: git).

custom_port?integer

Custom port for SSH access (default: 22).

app_id*integer

GitHub App ID from GitHub.

installation_id*integer

GitHub Installation ID.

client_id*string

GitHub OAuth App Client ID.

client_secret*string

GitHub OAuth App Client Secret.

webhook_secret?string

Webhook secret for GitHub webhooks.

private_key_uuid*string

UUID of an existing private key for GitHub App authentication.

is_system_wide?boolean

Is this app system-wide (cloud only).

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.coolify.io/api/v1/github-apps" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "api_url": "string",    "html_url": "string",    "app_id": 0,    "installation_id": 0,    "client_id": "string",    "client_secret": "string",    "private_key_uuid": "string"  }'
{  "id": 0,  "uuid": "string",  "name": "string",  "organization": "string",  "api_url": "string",  "html_url": "string",  "custom_user": "string",  "custom_port": 0,  "app_id": 0,  "installation_id": 0,  "client_id": "string",  "private_key_id": 0,  "is_system_wide": true,  "team_id": 0}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}